#version 330
uniform sampler2D tex;
uniform float transp; 

in  vec2 vsoTexCoord;
out vec4 fragColor;

void main(void) {
  vec4 c = texture(tex, vsoTexCoord);
  fragColor = length(c.rgb) > 0.0 ? vec4(vec3(0.7),transp) : vec4(0.0);
}
